// ptr_vector.h - clase Ptr_CVector
// Matriz de punteros a objetos CVector
#if !defined( _PTRCVECTOR_H_ )
#define _PTRCVECTOR_H_ 

#include "vector.h"

class Ptr_CVector
{
  private:
    struct matriz_d
    {
      CVector **pVector;
      int nElementos;
    } p;
  public:
    Ptr_CVector(int n = 1);
    ~Ptr_CVector();
    matriz_d *operator->() { return &p; }
    CVector*& operator[](int i) const { return p.pVector[i]; }
};

#endif // _PTRCVECTOR_H_ 

